org.jetlang.web

## Interface HttpHandler<T>

All Superinterfaces:
  Handler<T>

All Known Implementing Classes:
  AuthHttpHandler, StaticHtml

    public interface HttpHandler<T>
    extends Handler<T>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `handle(org.jetlang.fibers.Fiber dispatchFiber, HttpRequest headers, HttpResponse writer, T sessionState)`
`default NioReader.State` `start(SessionDispatcherFactory.SessionDispatcher<T> dispatcher, HttpRequest headers, HttpResponse response, HeaderReader<T> headerReader, NioWriter writer, T sessionState)`

### Method Detail

#### start

    default NioReader.State start(SessionDispatcherFactory.SessionDispatcher<T> dispatcher,
                                  HttpRequest headers,
                                  HttpResponse response,
                                  HeaderReader<T> headerReader,
                                  NioWriter writer,
                                  T sessionState)

Specified by:
  `start` in interface `Handler<T>`

#### handle

    void handle(org.jetlang.fibers.Fiber dispatchFiber,
                HttpRequest headers,
                HttpResponse writer,
                T sessionState)